#!/usr/bin/make -f

# Ignore test failures on ruby1.8
# (but the tests will run anyway).
export DH_RUBY_IGNORE_TESTS=ruby1.8


%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/ruby-uglifier/usr/share/javascript/ruby-uglifier/
	mv debian/ruby-uglifier/usr/lib/ruby/vendor_ruby/uglify.js debian/ruby-uglifier/usr/share/javascript/ruby-uglifier/
	mv debian/ruby-uglifier/usr/lib/ruby/vendor_ruby/es5.js debian/ruby-uglifier/usr/share/javascript/ruby-uglifier/
	mv debian/ruby-uglifier/usr/lib/ruby/vendor_ruby/split.js debian/ruby-uglifier/usr/share/javascript/ruby-uglifier/
